
Summary: an interpreted language for prototyping numerical algorithms
Name: euler
Version: 1.26
Release: 1
URL: http://mathsrv.ku-eichstaett.de/MGF/homes/grothmann/euler.html
Copyright: Copyrighted, freely distributable for educational use, no warranty
Group: X11/Applications/Math
Packager: John C. Peterson <jaypee@netcom.com>
Source: ftp://mathsrv.ku-eichstaett.de/pub/grothmann/euler.tar.gz
Patch: euler-1.26-linux.patch
Buildroot: /tmp/build_root

%description
EULER is a program for interactive numeric computation, and for
prototyping and testing of numerical algorithms. It includes support
for real or complex numbers, matrices, interval arithmetic, special
functions, statistical functions, optimization, 2D and 3D plotting, and
programming with parameters and local variables. However, it should
be stressed that EULER is not a computer algebra program. For more
information, type "help" to access the online help facility. New
users can get a quick introduction to EULER by running the
interactive "demo" script.

%prep
%setup -c
%patch -p1

%build
cd source
make -f makefile.linux
make -f makefile.linux noxeuler

%install
# clean start
rm -rf $RPM_BUILD_ROOT
# make the directories we will need
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib/euler
# install executables
cd source
install -m 0755 -s noxeuler $RPM_BUILD_ROOT/usr/bin/noxeuler
install -m 0755 -s xeuler $RPM_BUILD_ROOT/usr/X11R6/bin/xeuler
# install man page
cd ../docs
mv xeuler.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/xeuler.1x
chmod 0444 $RPM_BUILD_ROOT/usr/X11R6/man/man1/xeuler.1x
# install euler programs
cd ../progs
mv ../source/help.txt ./
rm -f *\~*
tar cf - . | (cd $RPM_BUILD_ROOT/usr/lib/euler; tar xf -)

%files
%doc docs/*
/usr/X11R6/bin/xeuler
/usr/X11R6/man/man1/xeuler.1x
/usr/bin/noxeuler
/usr/lib/euler
